Subject: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Ship Mints <[email-masked]>
Date: Thu, 12 Dec 2024 13:20:27 -0500

I think that's because Terminal.app is providing paste, not Emacs. If you
use Emacs commands to put text into the kill-ring, it has to make it from
there into the pasteboard/clipboard and that's what xclip does for you.

On Thu, Dec 12, 2024 at 1:18 PM Filipp Gunbin <[email-masked]> wrote:

> On 12/12/2024 13:08 -0500, Ship Mints wrote:
>
> > You need something like https://elpa.gnu.org/packages/xclip.html to
> assist
> > connecting macOS terminal Emacs to the system pasteboard/clipboard.
>
> Thanks, BTW paste with Command-V works, it's just copy that doesn't
> work.  Probably I'll disable xterm-mouse-mode anyway, but it would be
> nice to have this resolved in Emacs.
>